On Wed, Oct 01, 2003 at 09:48:54PM -0700, Andrew Terekhov wrote:
> Hi all,
> 
> I am running FreeBSD 5.1 Release. I updated all sources, ports and docs 
> by cvsup. I am trying to do a binary upgrade of my system by installing 
> latest packages. I run: portupgrade -aPPR. fetch phase fails to get 
> packages because it goes to a wrong site: 
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-5.1-release/All
> 
> OTOH I can see that the latest packages that portupgrade trying to fetch 
> are located here:
> ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-stable/All

Nope, those are the packages for RELENG_4; the 5.x packages are in
packages-5-current.  However fetch is actually doing the right thing
in only fetching from the packages-5.1-release directory on your
5.1-RELEASE, because packages built for newer versions of
FreeBSD-CURRENT are not guaranteed to work on 5.1-RELEASE.

> How can I change URIs where fetch is looking for the latest packages? 

See the pkg_add manpage.

> Setting PKG_SITES environment variable doesn't have any effect.

Because that's not the right environment variable.

Kris

Attachment: pgp00000.pgp
Description: PGP signature

Reply via email to